Subject: Re: lex,yacc ?
From: [email-masked] ("Mattias Waldau")

25 Oct 1996 11:06:30 -0700
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Original-To: "Paul Mu" <[email-masked]>, <[email-masked]>
X-MSMail-Priority: Normal
X-Priority: 3
X-Mailer: Microsoft Internet Mail 4.70.1155
Original-Sender: [email-masked]

there is a bison (=yacc) and flex (=lex) in the gnuwin32-distribution.
They work fine, except that I have had some problems with the difference
between
\n (unix) och cr-lf (windows). 

The problem is easily solved by adding a rule

\x0a

in the the lex-grammar.

However, I have stopped using them and instead uses the products from MKS.
MKS Yacc is enhanced which makes it easier to build a conflict-free grammar

/mattias

----------
> From: Paul Mu <[email-masked]>
> To: [email-masked]
> Subject: lex,yacc ?
> Date:  den 24 oktober 1996 17:04
> 
> Hi,
> 	Does anybody know where I can get the free port of lex and yacc in
> 	NT. Or can I just get the unix source code and compile it using
> 	cygwin32 gcc ?
> 
> Thanks in advance ...
> Paul
> -
> For help on using this list, send a message to
> "[email-masked]" with one line of text: "help".
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".